Bug 835045 - Run Command shortcut, focus prevention enabled, opens window under others
Run Command shortcut, focus prevention enabled, opens window under others
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xfce4-settings (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 06:34 EDT by Douglas Silas
Modified: 2012-07-05 11:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 11:48:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 8624 None None None 2012-07-05 11:48:53 EDT

  None (edit)
Description Douglas Silas 2012-06-25 06:34:13 EDT
Description of problem: calling xfrun4 via a configured shortcut (configured in Settings -> Keyboard -> Application Shortcuts), when "Activate focus stealing prevention" from Settings -> Window Manager Tweaks -> Focus is enabled, always causes the Application Finder (i.e. the previously better-named "Run Command") window to open under the currently focused window. Anyone running a command via a shortcut wants to type that command and run it immediately. At present it requires hitting the shortcut and immediately hitting Alt+tab, which is an extra step.


Version-Release number of selected component (if applicable): 4.8.3

Steps to Reproduce:
1. check "Activate focus stealing prevention" from Settings -> Window Manager Tweaks -> Focus
2. set a keyboard shortcut for "xfrun4" from Settings -> Keyboard -> Application Shortcuts
3. enter keyboard shortcut
  
Actual results: Application Finder window appears under the focused window


Expected results: Application Finder window appears and is given focus immediately


Additional info: if Activate Focus Stealing Prevention is to be enabled and used by users, xfrun4 needs to pop up with focus. Again, anyone calling xfrun4, which opens a window immediately, wants to start an app _right that moment_, not at some later point. Otherwise they'd enter the shortcut later.
Comment 1 Kevin Fenzi 2012-07-01 21:20:51 EDT
Yeah, I have seen this here as well... 

Would you be willing to file this upstream? 

If not, I can do so later this week when I get home.
Comment 2 Kevin Fenzi 2012-07-05 11:48:53 EDT
This is upsteam bug https://bugzilla.xfce.org/show_bug.cgi?id=8624

You can fix it by going to keyboard settings, application shortcuts, xfrun4, and select 'startup notification'.

Note You need to log in before you can comment on or make changes to this bug.